Higgsfield-Standard - Generate Video - gptproto
Higgsfield-Standard — Generate Video (gptproto). GPTProto API reference.
POST
/
v1
/
higgsfield
/
generate
higgsfield-standard (generate video)
curl --request POST \
--url https://api.example.com/v1/higgsfield/generateimport requests
url = "https://api.example.com/v1/higgsfield/generate"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/higgsfield/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Higgsfield’s GPTProto format for the generate video API.
curl -X POST "https://gptproto.com/v1/higgsfield/generate" \
-H "Authorization: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Generate a dance scene",
"model": "higgsfield-standard",
"motion_id": "5d0eee15-569c-4006-a1c7-46d1c42d9315",
"enhance_prompt": true,
"image": [
"https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai-draw/java/test/022cc0f0-8b08-4e8b-9822-2b41ba6c64ad.png"
],
"seed": 1000,
"height": 1080,
"width": 720
}'
import requests
import json
url = "https://gptproto.com/v1/higgsfield/generate"
headers = {
"Authorization": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"prompt": "Generate a dance scene",
"model": "higgsfield-standard",
"motion_id": "5d0eee15-569c-4006-a1c7-46d1c42d9315",
"enhance_prompt": true,
"image": [
"https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai-draw/java/test/022cc0f0-8b08-4e8b-9822-2b41ba6c64ad.png"
],
"seed": 1000,
"height": 1080,
"width": 720
}
response = requests.post(url, headers=headers, json=data)
result = response.json()
print(json.dumps(result, indent=2))
const url = "https://gptproto.com/v1/higgsfield/generate";
const headers = {
"Authorization": "YOUR_API_KEY",
"Content-Type": "application/json"
};
const data = {
"prompt": "Generate a dance scene",
"model": "higgsfield-standard",
"motion_id": "5d0eee15-569c-4006-a1c7-46d1c42d9315",
"enhance_prompt": true,
"image": [
"https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai-draw/java/test/022cc0f0-8b08-4e8b-9822-2b41ba6c64ad.png"
],
"seed": 1000,
"height": 1080,
"width": 720
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(data)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error("Error:", error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://gptproto.com/v1/higgsfield/generate"
payload := []byte(`{
"prompt": "Generate a dance scene",
"model": "higgsfield-standard",
"motion_id": "5d0eee15-569c-4006-a1c7-46d1c42d9315",
"enhance_prompt": true,
"image": [
"https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai-draw/java/test/022cc0f0-8b08-4e8b-9822-2b41ba6c64ad.png"
],
"seed": 1000,
"height": 1080,
"width": 720
}`)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
req.Header.Set("Authorization", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"error": {
"message": "Invalid signature",
"type": "401"
}
}
{
"error": {
"message": "Insufficient balance",
"type": "403"
}
}
{
"error": {
"message": "Internal server error",
"type": "500"
}
}
{
"error": {
"message": "Input may not meet the guidelines. Please adjust and try again.",
"type": "503"
}
}
Parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
prompt | string | ✅ Yes | Generate a dance scene | Prompt parameter |
model | string | ✅ Yes | higgsfield-standard | The model to use for the request |
motion_id | string | ❌ No | 5d0eee15-569c-4006-a1c7-46d1c42d9315 | Motion Id parameter |
enhance_prompt | boolean | ❌ No | true | Enhance Prompt parameter |
image | array | ❌ No | ["https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai-draw/java/test/022cc0f0-8b08-4e8b-9822-2b41ba6c64ad.png"] | Image parameter |
seed | integer | ❌ No | 1000 | Seed parameter |
height | integer | ❌ No | 1080 | Height parameter |
width | integer | ❌ No | 720 | Width parameter |
⌘I

